import request from '@/utils/request'

const dictionaryItemApi = {
  add: '/sys/dictionaryItem/add',
  get: '/sys/dictionaryItem/get',
  update: '/sys/dictionaryItem/edit',
  del: '/sys/dictionaryItem/del',
  page: '/sys/dictionaryItem/pageList'
}

export function dictionaryItemAdd (params) {
  return request({
    url: dictionaryItemApi.add,
    method: 'post',
    data: params
  })
}
export function dictionaryItemGet (params) {
  return request({
    url: dictionaryItemApi.get,
    method: 'post',
    data: params
  })
}
export function dictionaryItemUpdate (params) {
  return request({
    url: dictionaryItemApi.update,
    method: 'post',
    data: params
  })
}
export function dictionaryItemDel (params) {
  return request({
    url: dictionaryItemApi.del,
    method: 'post',
    data: params
  })
}
export function dictionaryItemPage (params) {
  return request({
    url: dictionaryItemApi.page,
    method: 'get',
    data: params
  })
}
